/*
    DEMO STYLE
*/

@import url('https://fonts.googleapis.com/css?family=Roboto:100,400,700&display=swap');
:root {
    --tosca: #17808C;
}

.btn-primary{
    background-color: var(--tosca);
}
.btn-outline-primary{
    border: 1px solid var(--tosca);
    color: var(--tosca);
}
body {
    background: #fafafa;
    overflow-x: hidden;
    font-family: 'Roboto', sans-serif;
}
.badge {
    padding: 5px;
    font-size: 12px;
    font-weight: light;
}

textarea {
    height: 95px !important;
}

::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: grey !important;
    font-weight: lighter !important;
    font-size: 0.8rem;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: grey !important;
    font-weight: lighter !important;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: grey !important;
    font-weight: lighter !important;
}

:-moz-placeholder {
    /* Firefox 18- */
    color: grey !important;
    font-weight: lighter !important;
}

.dataTables_scrollHeadInner {
    width: calc(100% - 2px) !important;
}

.dataTables_scrollHeadInner table {
    width: 100% !important;
}

::-webkit-scrollbar {
    width: 5px;
    /* Remove scrollbar space */
    background: transparent;
    /* Optional: just make scrollbar invisible */
}

/* Optional: show position indicator in red */

::-webkit-scrollbar-thumb {
    background: #003879;
}

#content ::-webkit-scrollbar {
    width: 5px;
    /* Remove scrollbar space */
    /* background: white; */
    /* Optional: just make scrollbar invisible */
}

/* Optional: show position indicator in red */

#content ::-webkit-scrollbar-thumb {
    background: lightgrey;
}

.dataTables_filter input {
    width: 100px !important;
}

.dataTables_info {
    display: block;
    font-size: 0.8rem;
    margin-top: 10px;
}

.dataTables_length {}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    margin-top: 10px;
    font-size: 1rem;
    color: black
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    /* background: none;
    color: black!important;
    border-radius: 4px;
    border: 1px solid #828282; */
}

.dataTables_wrapper .dataTables_paginate .paginate_button:active {
    /* background: none;
    color: black!important; */
}

.pagination>li>a, .pagination>li>span {
    background-color: transparent !important;
    color: grey;
    border: 1px solid white !important;
}

.pagination>li.active>a, .pagination>li.active>span {
    color: #003879 !important;
    background: transparent !important;
    border: 1px solid white !important;
    font-weight: bold;
}

.pagination>li.active>a, .pagination>li.active>span:focus, .pagination>li:active *, .pagination>li:focus-within * {
    outline: none !important;
    border: 0 !important;
    margin-top: 1px;
    box-shadow: none !important;
}
table.dataTable tbody td {
    vertical-align: top;
    font-size: 0.9rem;
    font-weight: 400;
    padding: 15px 10px;
}

table.dataTable tbody td:first-child {
    border-radius: 15px 0 0 15px;
    border:1px solid lightgray;
}

table.dataTable tbody td:last-child {
    border-radius: 0 15px 15px 0;
    border:1px solid lightgray;
}

table.dataTable tbody tr {
    border:1px solid lightgray;
    box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
}

table.dataTable {
    border-radius: 15px;
    /* box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.1); */
}
table.dataTable th {
    vertical-align: middle;
    font-size: 0.9rem;
}

.form-control, .btn-navy {
    /* border-radius: 1rem !important; */
}

.dropdown-toggle {
    /* border-radius: 1rem !important; */
}

.dropdown-toggle:active {
    outline: none !important;
    box-shadow: none;
}

.btn:focus, .btn:active, .form-control:active, .form-control:focus {
    outline: none !important;
    box-shadow: none;
}

.close {
    color: #003789;
    opacity: 1;
    font-size: 2.3rem;
}

.close:hover {
    color: black;
    text-shadow: none;
}

.close:active, .close:focus {
    outline: none !important;
    box-shadow: none;
}

.col-container {
    /* margin:0 20px; */
    width: 100%;
    background-color: white;
    padding: 20px;
    border-radius: 0.5rem;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.05);
}


.table>thead>tr>th {
    /* background-color: rgb(250, 250, 250); */
    /* color: rgb(105, 105, 105); */
    /* font-weight: 700!important; */
    border: 0;
    border-bottom: 2px solid rgb(209, 208, 208);
}


.table-light>thead>tr>th {
    /* background-color: rgb(250, 250, 250); */
    color: rgb(105, 105, 105);
    /* font-weight: 700!important; */
    border: 0;
    border-bottom: 2px solid rgb(209, 208, 208);
}


.table-light>tbody>tr {
    background-color: white;
}

.table-light>tbody>tr>td {
    border-bottom: 1px solid rgb(236, 236, 236);
}

.row-selected {
    background-color: #00397910 !important;
}

.data-container h2, .data-container h1, .data-container h4, .data-container h3 {
    font-weight: 700;
}

.data-container>h2>.text-small {
    font-size: 1.5rem;
}

a, a:hover, a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.logo-register {
    width: 75px;
}

.logo-login {
    width: 150px;
}

.logo-dashboard {
    width: 100%;
}

.navbar {
    width: 100%;
    z-index: 200;
    position: fixed;
    background: #fff;
    border: none;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    margin-top: 2px;
    box-shadow: none;
    outline: none !important;
    border: none;
    background-color: white !important;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    align-items: stretch;
    /*perspective: 1500px;*/
}

#sidebar {
    position:fixed;
    overflow: auto;
    z-index:100;
    height: 100vh;
    min-width: 175px;
    max-width: 175px;
    background: white;
    color: black;
    transition: all 0.6s cubic-bezier(0.945, 0.020, 0.270, 0.665);
    transform-origin: bottom left;
    /* box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1); */
}

#sidebar.active {
    margin-left: -175px;
    /* transform: rotateY(100deg); */
    transform: translateX(-175px);
}

#sidebar .sidebar-header {
    padding: 10px;
    color: var(--tosca);
    background: white;
    width: 175px;
    /* box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1); */
}

.sidebar-component {
    position: absolute;
    width: 175px;
    top: 0;
    bottom: 0;
    height: 100% !important;
    margin-top: 70px;
    /* transform: translateY(70px); */
}

#sidebar ul.components {
    font-size: 0.85em;
    /*padding: 20px 0;*/
    /*border-bottom: 1px solid #47748b;*/
}

#sidebar ul {}

#sidebar::-webkit-scrollbar {
    width: 0px!important;
    /* Remove scrollbar space */
    background: transparent;
    /* Optional: just make scrollbar invisible */
}

/* Optional: show position indicator in red */

#sidebar::-webkit-scrollbar-thumb {
    background: #FF0000;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 5px 10px;
    font-size: 1em;
    display: block;
    width: 175px;
    border-bottom: 1px solid #dfe2e5;
}

#sidebar li .list-unstyled li {
    font-size: 1em;
}

#sidebar ul li a:hover {
    color: #003879;
    /* background: #003879; */
    /* background: #f0f0ec; */
}

#sidebar ul li.active>a {
    color: var(--tosca);
    background: white;
    border-right: 5px solid var(--tosca);
}

#sidebar ul li a:focus {
    /*color: #fff;*/
    /*background: var(--tosca);*/
}

a[aria-expanded="true"] {
    color: black;
    background: #f0f0ec;
}

a[data-toggle="collapse"] {
    position: relative;
}

/*a[aria-expanded="false"]::before, a[aria-expanded="true"]::before {*/

/*content: '\e259';*/

/*display: block;*/

/*position: absolute;*/

/*right: 20px;*/

/*!*font-family: 'Glyphicons Halflings';*!*/

/*font-size: 0.6em;*/

/*}*/

/*a[aria-expanded="true"]::before {*/

/*content: '\e260';*/

/*}*/

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: white;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    min-height: 100vh;
    margin-left:175px;
    transition: all 0.3s;
    padding:75px 10px;
}

#sidebarCollapse {
    width: 40px;
    height: 40px;
    background: #f5f5f5;
}

#sidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: #555;
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
    transition-delay: 0.2s;
}

#sidebarCollapse span:first-of-type {
    transform: rotate(45deg) translate(2px, 2px);
}

#sidebarCollapse span:nth-of-type(2) {
    opacity: 0;
}

#sidebarCollapse span:last-of-type {
    transform: rotate(-45deg) translate(1px, -1px);
}

#sidebarCollapse.active span {
    transform: none;
    opacity: 1;
    margin: 5px auto;
}

/*CUSTOM */
.col-form-label p {
    font-size: 0.9rem;
}

.navbar {}

.text-small {
    /*font-weight: 500;*/
    font-size: 0.7rem;
}

.text-standart {
    /*font-weight: 500;*/
    font-size: 1rem;
}


.text-medium {
    font-weight: 500;
    font-size: 0.9em;
}

.text-big {
    font-size: 1.3em;
}

.modal-dialog {
    /*height: 92%;*/
    padding: 0;
    /* border-radius: 1rem; */
}

label {
    color: grey;
}

.modal-content {
    /* margin-top: 15vh; */
    /* border: 2px solid black;*/
    border: 0;
    /* box-shadow: 5px 5px 10px 0 white;  */
    /* border-radius: 0; */

    border-radius: 1rem;
    /*height: 99%;*/
}

.modal {
    overflow-y: auto !important;
}

.modal-header {
    /* background-color: #003879; */
    border-radius: 0;
    color: #003879;
}

.modal-title {

    font-weight: bold !important;
}

.modal-dialog-confirm {
    width: 500px !important;
}

.nomargin {
    margin: 0 !important;
    padding: 0 !important;
    border: 0;
}

.text-red {
    color: red;
}

.text-green {
    color: green;
}

.text-gray {
    color: gray;
}

.text-thin {
    font-weight: 300;
}

.text-white {
    color: white;
}


.text-navy {
    color: var(--tosca);
}

.text-blue {
    color: var(--tosca);
}

.text-thin-grey {
    font-weight: 100;
}

.text-bold {
    font-weight: bold;
}

.text-normal {
    font-weight: normal;
}
.text-lighter {
    font-weight: lighter!important;
}

.add_purchasing {
    width: 100%;
}

.link_detail {
    font-weight: 600;
    color: var(--tosca);
    /* text-decoration: underline;
    text-underline-offset : 3px; */
}
.link_detail_light {
    font-weight: 600;
    color: white;
    /* text-decoration: underline;
    text-underline-offset : 3px; */
}

.container-center {
    /*background-color: rgba(12,77,162,1);*/
    width: 450px;
    height: 500px;
    padding: 15px;
    border-radius: 10px;
    color: white;
}

.box-white {
    background-color: rgba(255, 255, 255, 1);
    height: 100%;
    width: 300px;
    padding: 30px 40px;
    border-radius: 10px;
    color: black;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.2);
}

.btn {
    font-size: 0.95rem;
}

.btn-login {
    /* background-color: var(--tosca); */
    /* color: white; */
    height: 50px;
    padding-left: 20px;
    padding-right: 20px;
    font-weight: 600;
    border-radius: 0.5rem !important;
}

.btn-save {
    width: 120px;
}

.btn-navy {
    background-color: var(--tosca);
    color: white;
}

.btn-navy:hover, .btn-navy:focus {
    background-color: var(--tosca);
    color: white;
}

.btn-white {
    border: 1px solid lightgray;
    background: white;
}

.btn-white:hover {
    /* background:rgb(241, 241, 241); */
    border: 1px solid gray;
}

.button {
    cursor: pointer;
    background-color: transparent;
    border: 0;
}

.bulk_action_container {
    display: none;
}

.bulk-action-button {
    position: fixed;
    margin-left: auto;
    margin-right: auto;
    left: -10px;
    right: 0;
    bottom: 20px;
    width: 150px;
    z-index: 1000;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
}

.bulk_action_container .bulk-action-button:nth-child(2) {
    left: -385px;
    width: 170px;
}

.bulk_action_container .bulk-action-button:nth-child(3) {
    left: 310px;
    width: 120px;
}

.add-center-bottom-button {
    z-index: 1000;
    background-color: #003879;
    height: 80px;
    width: 80px;
    position: fixed;
    margin-left: auto;
    margin-right: auto;
    right: 15px;
    bottom: 15px;
    text-align: center;
    color: white;
    cursor: pointer;
    border-radius: 10px;
    font-size: 3.2rem;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
}

.add-center-bottom-button::before {
    content: "+";
}

.add-right-bottom-button {
    z-index: 1;
    background-image: url('../icons/icon_add.png');
    background-size: 100%;
    height: 100px;
    width: 100px;
    border-radius: 100%;
    position: fixed;
    bottom: 15px;
    right: 15px;
    text-align: center;
    padding-top: 15px;
    color: white;
    cursor: pointer;
    box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.5);
}

.box-summary {
    background-color: white;
    height: 100%;
    padding: 20px;
    /* color: #003879; */
    border-radius: 0.8rem;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.05);
}

.box-summary>p {
    /* color: #003879; */
}

.date-range-box {
    padding: 15px;
    background: white;
    border-radius: 0.8rem;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.05);
}

.green-background {
    background-color: green;
}

.login-container {
    background-image: url('../images/wallpaper.jpeg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
    width: 100vw;
    /* padding-top: 15vh; */
}

.dropdown-button {
    height: 110px !important;
}

.dropdown-menu-icon {
    width: 25px;
}

.dropdown-menu a {
    width: 100%
}

.register-container {
    background-image: url('../images/register_wallpaper.jpg');
    background-size: 100%;
    background-repeat: no-repeat;
    height: 100vh;
    widows: 100vw;
    padding-top: 20vh;
}

.append-btn {
    background-color: var(--tosca);
    border-radius: 10px;
    font-size: 1.15rem;
    height: 40px;
    width: 40px;
    color: white;
    position: absolute;
    right: 0;
    left: 0;
    margin: auto;
}

.append-btn::before {
    content: "+";
}

.notify {
    position: relative;
}

#notification {
    opacity: 0;
    z-index: 1000;
    padding: 20px 40px;
    background: white;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: auto;
    margin-left: -200px;
    margin-top: -50px;
    border-radius: 1rem;
    box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.2);
    display: none;
    padding-top: 25px;
}

.checkboxes {
    width: 20px;
    height: 20px;
}

.selected-items-info {
    z-index: 100;
    padding: 10px 20px;
    border-radius: 1rem;
    text-align: center;
    width: auto;
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #003879;
    color: white;
    box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.2);
}

/* AJAX LOADING */
.ajax-loading {
    display: none;
    position: fixed;
    z-index: 1100;
    width: 200px;
    height: 200px;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    /* Negative half of height. */
    background: url('../icons/ajax-loader.gif') no-repeat;
}

/* When the body has the loading class, we turn
   the scrollbar off with overflow:hidden */
body.loading .ajax-loading {
    overflow: hidden;
    display: block;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (min-width: 576px) {
    .modal-dialog {
        max-width: none;
    }
}

@media (max-width: 768px) {
    #sidebar {
        margin-left: -220px;
        transform: rotateY(90deg);
    }

    #content {
        margin-left:0!important;
    }

    #sidebar.active {
        margin-left: 0;
        transform: none;
    }

    #sidebarCollapse span:first-of-type, #sidebarCollapse span:nth-of-type(2), #sidebarCollapse span:last-of-type {
        transform: none;
        opacity: 1;
        margin: 5px auto;
    }

    #sidebarCollapse.active span {
        margin: 0 auto;
    }

    #sidebarCollapse.active span:first-of-type {
        transform: rotate(45deg) translate(2px, 2px);
    }

    #sidebarCollapse.active span:nth-of-type(2) {
        opacity: 0;
    }

    #sidebarCollapse.active span:last-of-type {
        transform: rotate(-45deg) translate(1px, -1px);
    }
}

@media(min-width:960px) {
    /* .dashboard-chart-container */
    /* .purchasing-mini-container, .products-mini-container {
        padding-left: 0;
    } */
}

@media(min-width:1100px) {
    .modal-dialog {
        width: 1100px !important;
        /*height: 92%;*/
        padding: 0;
        border-radius: 0;
    }

    .modal-dialog-confirm {
        width: 500px !important;
    }
}

@media(min-width:1200px) {
    .dataTables_wrapper .dataTables_paginate .paginate_button {
        font-size: 0.85rem;
    }

    .dataTables_info {
        display: block;
        font-size: 0.8rem;
        margin-top: 10px;
        color: grey;
        padding-left: 13px;
        /* border:1px solid black; */
    }

    .add-center-bottom-button {
        height: 50px;
        width: 50px;
        font-size: 2rem;
        left: 0;
        right: 0;
        bottom: 15px;
        left: 220px;
    }
}

@media(min-width:1500px) {
    .dataTables_filter input {
        width: auto !important;
    }
}